Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.rawserialization
Class JavaSerializedGCPastContentHandle

    java.lang.Object
      rice.p2p.past.gc.rawserialization.JavaSerializedGCPastContentHandle

All Implemented Interfaces:
  java.io.Serializable, GCPastContentHandle, RawGCPastContentHandle, PastContentHandle, RawPastContentHandle

    public class JavaSerializedGCPastContentHandle

extends java.lang.Object
implements RawGCPastContentHandle

See Also:
  Serialized Form

Field Summary
`GCPastContentHandle` | `handle`
`static short` | `TYPE`

Constructor Summary
`JavaSerializedGCPastContentHandle(GCPastContentHandle handle)`

Method Summary
`long` | `getExpiration()` Returns the current expiration time of this object.
`Id` | `getId()` get the id of the PastContent object associated with this handle
`NodeHandle` | `getNodeHandle()` get the NodeHandle of the Past node on which the object associated with this handle is stored
`PastContentHandle` | `getPCH()`
`short` | `getType()`
`long` | `getVersion()` Returns the version number associated with this PastContentHandle - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### handle

    public GCPastContentHandle handle

Constructor Detail

### JavaSerializedGCPastContentHandle

    public JavaSerializedGCPastContentHandle(GCPastContentHandle handle)

Method Detail

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawPastContentHandle`
  Throws:
    `java.io.IOException`

### getType

    public short getType()

  Specified by:
    `getType` in interface `RawPastContentHandle`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getId

    public Id getId()

  Description copied from interface: `PastContentHandle`
  get the id of the PastContent object associated with this handle

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    the id

### getNodeHandle

    public NodeHandle getNodeHandle()

  Description copied from interface: `PastContentHandle`
  get the NodeHandle of the Past node on which the object associated with this handle is stored

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    the id

### getPCH

    public PastContentHandle getPCH()

### getVersion

    public long getVersion()

  Description copied from interface: `GCPastContentHandle`
  Returns the version number associated with this PastContentHandle - version numbers are designed to be monotonically increasing numbers which signify different versions of the same object.

  Specified by:
    `getVersion` in interface `GCPastContentHandle`
  Returns:
    The version number of this object

### getExpiration

    public long getExpiration()

  Description copied from interface: `GCPastContentHandle`
  Returns the current expiration time of this object.

  Specified by:
    `getExpiration` in interface `GCPastContentHandle`
  Returns:
    The current expiration time of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.